//
//	Includes
//
#include	"MCF52233.h"
#include	"ProtoType.h"

//
//	main
//
void main(void)
{
UINT8	digit[10];	// Digit buffer
INT8	i;	// loop counter
INT32	a;	// Sum work
	InitAd(0xff);	// Initialize A/D logic
	for(;;)		// Forever
	{
		a = 0;	// Clear sum
		for(i = 0; i < 64; i++)	// Make average of 64 samples
			a += GetAd(4);	// Sum AD value
		GetDigit(a >> 6, digit);	// Make digit of average
		TermPuts(digit);	// Put number
		TermPutc(0x0d);		// Put CR
		if(TermSense())		// Any key pressed?
			break;	// Exit loop
	}
	UserExit(1);	// Make ExecUser(1) exit
}
