//
//	Includes
//
#include	"MCF52233.h"
#include	"ProtoType.h"

//
//	main
//
void main(void)
{
UINT8		i;	// Loop work
UINT32	ip;	// IP addres work
UINT8		*b;	// Buffer pointer work
INT8		soc;// Socket work
	ip = GetHostByName((UINT8*)"www.cqpub.co.jp");// Get IP by name
	if(!ip)		// If not resolved?
	{
		TermPuts((UINT8*)"Host not found\r\n");// Show error
		return;	// Exit thread
	}
	soc = CreateSocket(1);	// Create socket for TCP/IP session
	if(Connect(soc, ip, 80) < 0)	// Try to connect HTTP server
	{
		CloseSocket(soc);	// Close socket
		TermPuts((UINT8*)"Can't connect to server\r\n");// Show error
		return;	// Exit thread
	}
	b = MemoryAlloc(256);		// Allocate buffer for one line input
	GetNetLine(0, 0, 0, 0);	// Init one line get library
	StrCpy(b, (UINT8*)"GET / HTTP/1.1\r\n");	// Set GET command
	StrCat(b, (UINT8*)"Host: www.cqpub.co.jp\r\n\r\n");// Add Host headder
	Write(soc, b, StrLen(b));	// Set HTTP request to server
	WaitWriteComplete(soc);		// Wait until sent
	for(i = 0; i < 20; i++)		// Repeat 20 lines
	{
		if(GetNetLine(soc, b, 250, 20) < 0)// Get one line from server
			break;									// Exit loop
		TermPuts(b);							// Show HTTP response contents
		TermPuts((UINT8*)"\r\n");	// Put CR+JF
	}
	GetNetLine(0, 0, 0, 1);	// Release internal buffer
	CloseSocket(soc);			// Release socket work area
	MemoryFree(b);				// Release buffer 
	UserExit(1);					// Exit ExecUser(1)
}
