//
//	Includes
//
#include	"MCF52233.h"
#include	"ProtoType.h"
//
//	Vars
//
UINT8	Mutex;

//
//	Test thread 1
//
void Thread1(void)
{
UINT8	i;
	for(i = 0; i < 40; i++)	// 40 times
	{
		WaitCriticalSession(&Mutex);	// Capture mutex of console devoce
		TermPutc('1');// Put '1'
		Mutex = 0;		// Release mutex
		Sleep(10);		// Wait 100msec
	}
}

//
//	Test thread 2
//
void Thread2(void)
{
UINT8	i;
	for(i = 0; i < 20; i++)	// 20 times
	{
		WaitCriticalSession(&Mutex);	// Capture mutex of console devoce
		TermPutc('2');// Put '2'
		Mutex = 0;		// Release mutex
		Sleep(20);		// Wait 200msec
	}
	WaitCriticalSession(&Mutex);	// Capture mutex of console devoce
	TermPuts((UINT8*)"\r\n");	// Put CR+LF
	Mutex = 0;		// Release mutex
	UserExit(1);	// Exit ExecUser(1) thread
}

//
//	Multi thread demo
//
void main(void)
{
	Sleep(100);	// Wait 1 sec for OK prompt
	Mutex = 0;	// CLear Mutex first
	(void)CreateThread((UINT32)Thread1, 0, 0);	// Create thread 1
	(void)CreateThread((UINT32)Thread2, 0, 0);	// Create thread 2
}

